params ["_type","_unit"];

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla

//versio 1.1 (Vaatteet)
private ["_OrbatinSide", "_Radioit", "_Nightvision"];


/////////////////////////
////////ASETUKSET////////
/////////////////////////
//west,east,guer
_OrbatinSide = "west";

//Lyhyet radiot kaikille. True/False
_Radioit = True;

//NV kaikille. True/False
_Nightvision = False;

//NV classname. "ACE_NVG_Gen4"
_item_NV = "ACE_NVG_Gen4";

#include "GeariFunctiot.sqf"
/////////////////////////
////////ASETUKSET////////
/////////////////////////



_fnc_TUNaddBasicEquipment = { //PerusTavaroiden functio//
	//Params [_unit, mode] call _fnc_TUNaddBasicEquipment;

	params ["_unit", "_mode", "_kiikarit"];

	Switch toLower (_mode) do {

		Case toLower "johtaja": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["SmokeShellGreen",1],["SmokeShellRed",1],["SmokeShellBlue",1],["HandGrenade",1]]; //Tässä voit muutta mitä perus tavaroita kukin saa
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "kevyt": {
			private ["_tavarat"];
			_tavarat = [];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "medic": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",4],["HandGrenade",1]];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "Eng": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",4],["HandGrenade",2],["ACE_DefusalKit",1],["ACE_Clacker",1],["ToolKit",0],["ACE_wirecutter",1],["DemoCharge_Remote_Mag",3],["SatchelCharge_Remote_Mag",0]];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		default { //Vakio romut
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["HandGrenade",1]];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};
	};

	Switch toLower (_kiikarit) do {
		Case toLower "kiikari": {
			_unit addWeapon "Binocular";
		};

		Case toLower "range": {
			_unit addWeapon "ACE_Vector";
		};

		Case toLower "laser": {
			_unit addWeapon "Laserdesignator";
			_unit addItem "Laserbatteries";
		};
		default {};
	};
};



_fnc_BUMaddMedicalSupplies = {
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;

	private ["_item", "_count"];
	params ["_unit","_mode"];

	Switch (toLower(_mode)) do {

		Case toLower "cls": {
			_unit setVariable ["Ace_medical_medicClass", 1];

			_supplies = [["ACE_fieldDressing",15],["ACE_morphine",8],["ACE_bloodIV",5],["ACE_epinephrine",8]]; //Tässä voit muutta mitä medicaali tavaroita kukin saa.

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};

		Case toLower "medic": {
			_unit setVariable ["Ace_medical_medicClass", 2];

			_supplies = [["ACE_fieldDressing",20],["ACE_morphine",10],["ACE_bloodIV",10],["ACE_epinephrine",10]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};

		default {
			_unit setVariable ["Ace_medical_medicClass", 0];

			_supplies = [["ACE_fieldDressing",6],["ACE_morphine",1]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};
	};
};



_fnc_TUNchangeWeapons = { //ASEFUNCTIO//


	//Kutsuminen [_unit, "ase", "sinko"] call _fnc_TUNchangeWeapons;
	private [ "_weapons", "_magazines","_weaponitems"];
	params ["_unit","_weapon","_Singonvalinta"];
	_weapons = [];
	_magazines = [];
	_weaponitems = [];


///////////////////
//PääaseenValinta//
///////////////////
/*
Listaa ase näin.
_weapons append ["classname"];
Lisää lipas
_magazines append [["lipas1",lippaidenmäärä],["rhs_30Rnd_545x39_AK_green",3]];
Aseiden lisävarusteet
_weaponitems append [["classname","primary/handgun/secondary"],["rhs_acc_dtk","primary"]];

			_ase = selectRandom ["rhs_weap_m16a4_carryhandle", "rhs_weap_m4_carryhandle"];
			_tuki = selectRandom ["", "rhsusf_acc_grip2", "", "rhsusf_acc_grip2_tan", "", "rhsusf_acc_grip1", "", "rhsusf_acc_grip3", "", "rhsusf_acc_grip3_tan", ""];
			_tahtain = selectRandom ["", "rhsusf_acc_eotech_552", "", "rhsusf_acc_compm4"];
			_weapons append [_ase];
			_magazines append [["rhs_mag_30Rnd_556x45_Mk318_Stanag",5],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2]];
			_weaponitems append [[_tahtain,"primary"], ["rhsusf_acc_anpeq15side","primary"], [_tuki,"primary"]];
*/

	Switch toLower (_weapon) do {


		////////////
		//Kiväärit//
		////////////

		case toLower "Rif": { //Rynnäkkökivääri optiikalla
			_weapons append ["rhs_weap_m21a"];
			_magazines append [["rhsgref_30rnd_556x45_m21",8]];
			//_weaponitems append [];
		};

		case toLower "Rif1": { //Rynnäkkökivääri
			_weapons append ["rhs_weap_m21s_pr","rhsusf_weap_glock17g4"];
			_magazines append [["rhsgref_30rnd_556x45_m21",7],["rhsusf_mag_17Rnd_9x19_FMJ",3]];
			_weaponitems append [["rhsusf_acc_eotech_552","primary"]];
		};

		//////
		//MG//
		//////

		case toLower "MG": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53
			_weapons append ["rhs_weap_m240G"];
			_magazines append [["rhsusf_100Rnd_762x51",6]];
			//_weaponitems append [];
		};

		case toLower "MGAS": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53

		};

		//////
		//AR//
		//////

		case toLower "AR": { //Kevyet konekiväärit (M249, RPK, M27)
			_weapons append ["rhs_weap_m249_pip_L_para"];
			_magazines append [["rhsusf_100Rnd_556x45_soft_pouch",4],["rhsusf_100Rnd_556x45_M200_soft_pouch",4],["rhs_200rnd_556x45_T_SAW",1]];
			//_weaponitems append [];
		};

		case toLower "ARAS": { //Kevyet konekiväärit (M249, RPK, M27)

		};



		//////////////////
		//Sniper & Marks//
		//////////////////

		case toLower "Mark": { //Marksman eli ryhmätason puoliautomaatti tukiase (MK11, SVD, AK+PSO, VSS Vintorez) Myös spottereiden ase
			_weapons append ["rhs_weap_m76"];
			_magazines append [["rhsgref_10Rnd_792x57_m76",8]];
			_weaponitems append [["rhs_acc_pso1m2","primary"]];
		};


		////////////////
		//Pienet aseet//
		////////////////


		case toLower "Carbine": { //Erikoiset johtajat, mahd. vaunumiehistöt, pilotit
			_weapons append ["rhs_weap_m21s"];
			_magazines append [["rhsgref_30rnd_556x45_m21",4]];
			//_weaponitems append [];
		};

		case toLower "Pistol": { //Erikoiset johtajat, mahd. vaunumiehistöt, pilotit
			_weapons append ["rhsusf_weap_glock17g4"];
			_magazines append [["rhsusf_mag_17Rnd_9x19_FMJ",5]];
			//_weaponitems append [];
		};

		default {};
	};






/////////////////
//SingonValinta//
/////////////////
	Switch toLower (_Singonvalinta) do {

		Case toLower "AT": { //AT = RPG7, SMAW, MAAWS (Raskaat singot)
			_weapons append ["rhs_weap_rpg7"];
			_magazines append [["rhs_rpg7_PG7VL_mag",2],["rhs_rpg7_PG7VR_mag",1]];
			//_weaponitems append [];
		};

		Case toLower "AA": { //Anti-air
			_weapons append ["rhs_weap_igla"];
			_magazines append [["rhs_mag_9k38_rocket",2]];
			//_weaponitems append [];
		};

		default {};//Tyhjänä ei ajaa tämä eli ei anna mitään.
	};


	if !(count _weapons == 0) then {
		[_unit, _weapons] Call _fnc_BUMaddweapons;
	};

	if !(count _magazines == 0) then {
		[_unit, _magazines] Call _fnc_TUNaddmagazines;
	};

	if !(count _weaponitems == 0) then {
		[_unit, _weaponitems] Call fnc_TUNaddWeaponItem;
	};
};


_fnc_TUNchangeClothes = { //VAATEFUNCTIO//

	//Kutsuminen [_unit, "puvunvalinta", "liivinvalinta", "repunvalinta"] call _fnc_TUNchangeClothes;
	//Katso vaihtoehdot alempaa case kohdasta. Käytä "" jos haluat defaultin.

	params ["_unit","_puku","_liivi","_reppu",["_kypara",""]];



	removeUniform _unit;
    removeVest _unit;
    removeBackpack _unit;
    removeHeadgear _unit;
    removeGoggles _unit;


///////////////
//Pikku romut//
///////////////

_unit forceAddUniform "rhsgref_uniform_para_ttsko_urban";



/////////////////
//Liivinvalinta//
/////////////////
	switch toLower (_liivi) do {

		Case toLower "Medic": {
			_unit addVest "rhs_6b5_medic";
        };

		Case toLower "Leader": {
			_unit addVest "rhs_6b5_officer";
		};

		default { //Vakio liivi
			_unit addVest selectRandom ["rhs_6b5", "rhs_6b5_sniper"];

		};
	};

////////////////
//Repunvalinta//
////////////////
	switch toLower (_reppu) do
	{
		Case toLower "Radio": {
			_unit addBackpack "tf_rt1523g_black";
		};

		Case toLower "Medic": {
			_unit addBackpack "rhs_medic_bag";
		};

		Case toLower "AT": {
			_unit addBackpack "rhs_rpg_empty";
		};

		Case toLower "Pienireppu": {
			_unit addBackpack "B_Kitbag_rgr";
		};

		Case toLower "Isoreppu": {
			_unit addBackpack "B_Carryall_oli";
		};

		default { //Vakio reppu
		};
	};
////////////////
//Kypärä//
////////////////
	switch toLower (_kypara) do
	{
		Case toLower "crew": {
			_unit addHeadgear "rhs_tsh4_ess";
		};

		Case toLower "Lippis": {
			_unit addHeadgear "rhsgref_fieldcap_ttsko_mountain";
		};

		default { //Vakio reppu
			_unit addHeadgear selectRandom ["rhsgref_6b27m_ttsko_digi", "rhsgref_6b27m_ttsko_forest"];
		};
	};
};

/*

Vaatefunktion pitää olla aina ylimpänä.
puvunvalinta = "Sl", "Crew", "Light", "Mark", "Mg", "Gl", "Medic" tau "" jos haluat default
liivinvalinta = "Sl", "Crew", "Light", "Mark", "Mg", "Gl", "Medic" tau "" jos haluat default
repunvalinta = "Radio", "Medic", "AT", "Pienireppu", "Isoreppu"

[_unit, "","",""] call _fnc_TUNchangeClothes;

Pääase vaihtoehdot = "SMG", "Carbine", "MG", "MG1", "AR", "AR1", "GL", "Mark", "Mark1", "Sniper", "Snipe1", "Shotgun", "Rif1", "Rif1", "Rif2", "Pistol"
Sinko vaihtoehdot = "AT", "AtAS", "LAT", "LAT1", "AA", "AAAS", "HAT", "HATAS"
	[_unit, "Pääase", "Sinko"] call _fnc_TUNchangeWeapons;

Perus tavarat = "johtaja", "kevyt", "" //Vakio
Kiikarit = "kiikari", "range", "laser" tai "" jos et halua antaa mitään.
	[_unit, "Perus tavarat", "kiikari"] call _fnc_TUNaddBasicEquipment;

Medikintaso = "cls", "medic" tai "" perus jv tavarat.
	[_unit, "Medikintaso"] Call _fnc_BUMaddMedicalSupplies;
*/

if (_unit isKindof "Man") then {
	Switch toLower(_type) do {

		////////////
		//Johtajat//
		////////////

		Case toLower "CL": { //Komppanin johtaja
			[_unit, "","Leader","Radio","Lippis"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "johtaja", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
			_unit setVariable["displayName", "Para Company Commander", true];
		};

		Case toLower "PL": { //Joukkueen johtaja
			[_unit, "","Leader","Radio","Lippis"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "johtaja", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
			_unit setVariable["displayName", "Para Platoon Leader", true];
		};

		Case toLower "RTO": { //Radisti
			[_unit, "","Leader","Radio","Lippis"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
			_unit setVariable["displayName", "RTO", true];
		};

		Case toLower "SL": { //Ryhmän johtaja
			[_unit, "","Leader","Radio"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "johtaja", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "TL": { // Partion johtaja
			[_unit, "","Leader","Pienireppu"] call _fnc_TUNchangeClothes;
			[_unit, "rif1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "johtaja", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
			//_unit setVariable["displayName", "Patrol Leader",true];
		};

		//////////////////
		//Machinegunners//
		//////////////////

		Case toLower "MG": {
			[_unit, "","","Pienireppu"] call _fnc_TUNchangeClothes;
			[_unit, "mg", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "johtaja"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		/////////////////
		//Autoriflemans//
		/////////////////

		Case toLower "AR": {
			[_unit, "","","Pienireppu"] call _fnc_TUNchangeClothes;
			[_unit, "ar", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "johtaja"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		////////////
		//Perus jv//
		////////////

		Case toLower "Rif": {
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Rif", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
			_unit setVariable["displayName", "Rifleman",true];
		};


		///////////
		//Medikit//
		///////////

		Case toLower "Medic": { //Joukkueen tai isompi.
			[_unit, "","Medic","Medic"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "medic", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, "Medic"] Call _fnc_BUMaddMedicalSupplies;
		};

		/////////////////////
		//PST & Muut singot//
		/////////////////////

		Case toLower "AT": { //Raskas Sinko (SMAW,RPG)
			[_unit, "","","AT"] call _fnc_TUNchangeClothes;
			[_unit, "Rif", "AT"] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "AA": { //Anti Air
			[_unit, "","","AT"] call _fnc_TUNchangeClothes;
			[_unit, "Rif", "AA"] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		//////////////////////
		//Ajoneuvo miehistöt//
		//////////////////////

		Case toLower "Crew": { //Vaunumiehistö
			[_unit, "","","","crew"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "CrewC": { //Vaunumiehistö
			[_unit, "","","Radio","crew"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};


		/////////////////////////
		//Sniperit & Marksmanit//
		/////////////////////////

		Case toLower "Mark": {
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Mark", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		////////////
		//Engineer//
		////////////

		Case toLower "Eng": { //Pioneeri (Räjähteet, miinaharava tms)
			_unit setVariable ["ACE_IsEngineer",1,true];
			_unit setVariable ["ACE_isEOD",1,true];

			[_unit, "","","Isoreppu"] call _fnc_TUNchangeClothes;
			[_unit, "Rif", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "Kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};


		default {
			removeUniform _unit;
		    removeVest _unit;
		    removeBackpack _unit;
		    removeHeadgear _unit;
		    removeGoggles _unit;
		};
	};
};




	/////////////////////////
	//Ajoneuvot ja Laatikot//
	/////////////////////////

if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static" || _unit isKindOf "thing") then {
	Switch toLower(_type) do {

		Case toLower "Auto": { //perus
			_unit addMagazineCargoGlobal ["rhsgref_30rnd_556x45_m21", 40];
			_unit addMagazineCargoGlobal ["rhsusf_100Rnd_762x51",15];
			_unit addMagazineCargoGlobal ["rhsusf_100Rnd_556x45_soft_pouch",15];
			_unit addItemCargoGlobal ["ACE_wirecutter",2];
			_unit addItemCargoGlobal ["ACE_bodyBag",10];
			_unit addItemCargoGlobal ["ACE_bloodIV",5];
			_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		};

		default{};
	};
};
